CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [Optionen]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

Wann immer Sie Argumente mit Leerzeichen an calibre-debug weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

[OPTIONEN]

--add-simple-plugin
    Eine einfache Erweiterung (d. h. eine nur aus einer *.py-Datei bestehende Erweiterung) hinzufügen durch Angabe des Pfads zur *.py-Datei, die den Erweiterungscode enthält.

--command, -c
    Python-Code ausführen.

--debug-device-driver, -d
    Fehlerdiagnose bei Geräteerkennung

--default-programs
    Calibre in Windows als Standardprogramm festlegen bzw. entfernen. --default-programs = (register|unregister)

--diff
    Calibre-Dateivergleichswerkzeug ausführen. Beispiel: calibre-debug --diff Datei1 Datei2

--edit-book, -t
    Bucheditor im Fehlerdiagnosemodus starten.

--exec-file, -e
    Python-Code in der Datei ausführen.

--explode-book, -x
    Buch als Einzelelemente in das angegebene Verzeichnis exportieren. Verwendung: -x file.epub output_dir Exportiert das Buch als Sammlung von HTML-Dateien und Metadaten, die Sie mit Standard-HTML-Bearbeitungswerkzeugen bearbeiten können. Funktioniert mit EPUB-, AZW3-, HTMLZ- und DOCX-Dateien.

--export-all-calibre-data
    Exportieren Sie alle Calibre-Daten (Bücher/Einstellungen/Plugins). Normalerweise werden Sie nach dem Exportverzeichnis und den zu exportierenden Bibliotheken gefragt. Sie können sie auch als Befehlszeilenargumente angeben, um die Fragen zu überspringen. Verwenden Sie absolute Pfade für das Exportverzeichnis und die Bibliotheken. Mit dem speziellen Schlüsselwort "all" können alle Bibliotheken exportiert werden.

--gui, -g
    Ausführen der grafischen Benutzeroberfläche im Fehlerdiagnosemodus. Die Diagnoseausgabe wird an Stdout und Stderr ausgegeben.

--gui-debug
    Grafische Benutzeroberfläche mit einer Fehlerdiagnosekonsole ausführen und im angegebenen Verzeichnis protokollieren. Nur zur internen Verwendung. Verwenden Sie die Option "-g", um die Benutzeroberfläche im Fehlerdiagnosemodus auszuführen

--help, -h
    Diesen Hilfetext anzeigen und beenden.

--implode-book, -i
    Packen Sie ein zuvor entpacktes Buch. Verwendung: -i output_dir file.epub Importiert das Buch aus den Dateien in output_dir, die durch einen vorherigen Aufruf von --explode-book erstellt wurden. Achten Sie darauf, dass Sie den gleichen Dateityp angeben, der beim Entpacken verwendet wurde.

--import-calibre-data
    Zuvor exportierte Calibre-Daten importieren

--inspect-mobi, -m
    MOBI-Datei(en) im/in den angegebenen Verzeichnis(sen) untersuchen

--paths
    Ausgabe der für die Einrichtung von Calibres Umgebungsvariablen notwendigen Verzeichnispfade

--reinitialize-db
    Neuinitialisierung der SQLite-Calibre-Datenbank im angegebenen Verzeichnis. Hilfreich zur Wiederherstellung einer defekten Datenbank.

--run-plugin, -r
    Eine Erweiterung ausführen, die eine Befehlszeilenschnittstelle bereitstellt. Zum Beispiel: calibre-debug -r "Bücher hinzufügen" -- Datei1 --option1 Alles nach -- wird der Erweiterung als Argumente übergeben.

--shutdown-running-calibre, -s
    Eine laufende Calibre-Instanz - falls vorhanden - beenden. Beachten Sie, dass dabei ggf. laufende Aufträge ohne Rückfrage abgebrochen werden. Also bitte mit Vorsicht verwenden.

--subset-font, -f
    Angegebene eingebettete Schriftart reduzieren. Verwenden Sie -- nach dieser Option, um Optionen an das Programm für die Schriftartreduzierung zu übergeben.

--test-build
    Binäre Module des Builds überprüfen

--version
    Programmversion anzeigen und beenden

--viewer, -w
    eBook-Betrachter im Fehlerdiagnosemodus ausführen

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal